package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @author 纪寒
 * @version 1.0
 * @description 预约订单状态枚举
 * @date 2022-09-06 14:39:00
 */
@Getter
public enum OrderStatusEnum {

    /**
     * 待付款
     */
    WAIT_PAY("WAIT_PAY"),

    /**
     * 已付款
     */
    PAY("PAY"),

    /**
     * 待派单
     */
    WAIT_DISPATCH("WAIT_DISPATCH"),

    /**
     * 待接单
     */
    WAIT_RECEIVE("WAIT_RECEIVE"),

    /**
     * 待完成
     */
    NOT_FINISH("NOT_FINISH"),

    /**
     * 服务完成
     */
    COMPLETE("COMPLETE"),

    /**
     * 退款中
     */
    WAIT_REFUND("WAIT_REFUND"),

    /**
     * 已退款
     */
    REFUNDED("REFUNDED"),

    /**
     * 已取消
     */
    CANCEL("CANCEL"),

    /**
     * 已评价
     */
    EVALUATED("EVALUATED"),
    ;
    final private String info;

    OrderStatusEnum(String info) {
        this.info = info;
    }
}
